Home

# Class goog.debug.DivConsole

A class for visualising logger calls in a div element.

Instance Method Summary
| `addLogRecord(?goog.debug.LogRecord logRecord)` Adds a log record.
| `addSeparator()` Adds a separator to the debug window.
| `clear()` Clears the console.
| `getFormatter() ⇒ ?goog.debug.Formatter` Gets the formatter for outputting to the console. The default formatter is an instance of goog.debug.HtmlFormatter
| `installStyles()` Installs styles for the log messages and its div
| `setCapturing(boolean capturing)` Sets whether we are currently capturing logger output.
| `setFormatter(?goog.debug.Formatter formatter)` Sets the formatter for outputting to the console.